package org.eco.als.domain.bo;

import org.eco.als.domain.FaultCase;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障案例业务对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultCase.class, reverseConvertGenerate = false)
public class FaultCaseBo extends BaseEntity{
    /**
     * 编号
     */
    @NotNull(message = "编号不能为空")
    private Long id;

    /**
     * 飞机编号
     */
    @NotBlank(message = "飞机编号不能为空")
    private String aircraftTypeId;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftTypeName;

    /**
     * 系统编号
     */
    @NotBlank(message = "系统编号不能为空")
    private String aircraftSystemId;

    /**
     * 系统
     */
    @NotBlank(message = "系统不能为空")
    private String aircraftSystemName;

    /**
     * 分系统编号
     */
    @NotBlank(message = "分系统编号不能为空")
    private String aircraftSubsystemId;

    /**
     * 分系统
     */
    @NotBlank(message = "分系统不能为空")
    private String aircraftSubsystemName;

    /**
     * 作者
     */
    @NotBlank(message = "作者不能为空")
    private String author;

    /**
     * 故障现象
     */
    @NotBlank(message = "故障现象不能为空")
    private String faultPhenomenon;

    /**
     * 故障原因
     */
    @NotBlank(message = "故障原因不能为空")
    private String faultCause;

    /**
     * 故障树
     */
    @NotBlank(message = "故障树不能为空")
    private String faultTreePath;

    /**
     * 故障图
     */
    @NotBlank(message = "故障图不能为空")
    private String faultPicturePath;

    /**
     * 排故方法
     */
    @NotBlank(message = "排故方法不能为空")
    private String troubleshootingMethodPath;

    /**
     * 查看次数
     */
    @NotBlank(message = "查看次数不能为空")
    private String viewCount;

    /**
     * 排序
     */
    @NotBlank(message = "排序不能为空")
    private String orderBy;


}
